#include "menubar.h"
#include "mainwindow.h"
#include <QApplication>
#include <QMenu>
#include <QMenuBar>

SimpleMenu::SimpleMenu(MainWindow *parent)
    : QWidget(parent)
{

    QAction *quit = new QAction("&Quit", this);
    quit->setShortcut(QKeySequence(Qt::CTRL + Qt::Key_Q));
    QAction *reset_window = new QAction("Re&set Program", this);

    QAction *lot = new QAction("&LeftOfTable", this);
    QAction *rot = new QAction("&RightOfTable", this);

    //  In this project, the native menuBar does not exist.
    //  It disappeared when I removed 'mainwindow.ui'.
    QMenuBar *toplev = new QMenuBar(parent);

    QMenu *file;
    file = toplev->addMenu("&File");
    file->addAction(lot);
    file->addAction(rot);
    file->addSeparator();
    file->addAction(quit);

    QMenu *help;
    help = toplev->addMenu("&Help");
    help->addAction(reset_window);

    //  Qt5 Semantics for Signals sent to Slots...

    connect(quit, &QAction::triggered, qApp, &QApplication::quit);

    connect(reset_window, &QAction::triggered, parent, &MainWindow::resetQ);
    connect(lot, &QAction::triggered, parent, &MainWindow::setLOT);
    connect(rot, &QAction::triggered, parent, &MainWindow::setROT);

}
